- [HTTP request](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#body.ListProductsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/products_v1/accounts.products/list.md.txt#try-it)

Lists the processed products in your Merchant Center account. The response might contain fewer items than specified by `pageSize`. Rely on `pageToken` to determine if there are more items to be requested.

After inserting, updating, or deleting a product input, it may take several minutes before the updated processed product can be retrieved.

For more information, see [List your products data and product issues](https://developers.google.com/merchant/api/guides/products/list-products-data-issues.md.txt).

### HTTP request

`GET https://merchantapi.googleapis.com/products/v1/{parent=accounts/*}/products`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account to list processed products for. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of products to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000. If unspecified, the default page size of 25 products will be returned. |
| `pageToken` | `string` A page token, received from a previous `products.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `products.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the products.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "products": [ { object (`Product`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `products[]` | ``object (`Product`)`` The processed products from the specified account. These are your processed products after applying rules and supplemental data sources. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).